//TIMER
#define MINTIME 1 


#define TMROFFSET 256 - 125

/*
CALCULATE:

TMROFFSET = 256 - ((MINTIME/1000) * (FOSC / PRESCALE) )
TMROFFSET = 256 - ((1/1000) * (8000000/64) )
 = 256 - (8000/64)
 = 256 - (1000/8)
 = 256 - 125
 = 131 = 0x83

WHERE:
PRESCALE=64 as set in inittimer()
MINTIME = 1  (in milliseconds)

FOSC=8000000 
*/

void inittimer(void);
int inttimerreached(int *nexttime, unsigned int period); // Period in msec
void wait(int period); // Period in msec
long gettmrms(void);
long longtimerreached(long *nexttime,unsigned int period);
